﻿@model BeforeAfterCareStep2ScheduleListViewModel

@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">

        <div class="back">
            <a class="action" ng-click="back()">
                
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" >
            <h1>
                Schedule list
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div>
        <table class="table menue-table">
            <thead>
                <tr>
                    <th class="text-left text-nowrap">Schedule dates</th>
                    <th class="text-left text-nowrap">Payment due</th>
                    <th class="text-left text-nowrap" ng-if="Model.HasBeforeSchedule">Befor school</th>
                    <th class="text-left text-nowrap" ng-if="Model.HasAfterSchedule">After school</th>
                    <th class="text-left text-nowrap" ng-if="Model.HasComboSchedule">Combo</th>
                    <th class="text-right">Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="part in Model.ScheduleParts">
                    <td>
                        <div class="margin-bottom5" ng-show="part.EditMode && part.IsFirstPartOfProgram == false && part.IsLastPartOfProgram == false">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="part.StartDate">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="part.EndDate">
                        </div>
                        <div class="margin-bottom5" ng-show="part.EditMode && part.IsFirstPartOfProgram">
                            <input k-options="MC.datePickerOptions" disabled kendo-date-picker type="text" style="width: 130px;" ng-model="part.StartDate">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="part.EndDate">
                        </div>
                        <div class="margin-bottom5" ng-show="part.EditMode && part.IsLastPartOfProgram">
                            <input k-options="MC.datePickerOptions"  kendo-date-picker type="text" style="width: 130px;" ng-model="part.StartDate">
                            <input k-options="MC.datePickerOptions" disabled kendo-date-picker type="text" style="width: 130px;" ng-model="part.EndDate">
                        </div>

                        <span ng-hide="part.EditMode">{{formatDate(part.StartDate)}} - {{formatDate(part.EndDate)}} </span>
                    </td>
                    <td>
                        <div ng-show="part.EditMode">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="part.DueDate">
                        </div>
                        <span ng-hide="part.EditMode">{{formatDate(part.DueDate)}}</span>

                    </td>
                    <td ng-if="Model.HasBeforeSchedule">
                        <div class="margin-bottom5" ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'AM'}"  ng-show="part.EditMode">
                            <input type="text" ng-model="partCharge.Amount" />
                        </div>
                        <div class="margin-bottom5"  ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'AM'}" ng-hide="part.EditMode">
                            <span style="text-align:right">{{partCharge.Amount.formatCurrencyWithPenny(2)}}</span>
                        </div>
                    </td>
                   <td ng-if="Model.HasAfterSchedule">
                        <div class="margin-bottom5" ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'PM'}" ng-show="part.EditMode">
                            <input type="text"  ng-model="partCharge.Amount" />
                        </div>
                       <div class="margin-bottom5" ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'PM'}" ng-hide="part.EditMode">
                           <span>{{partCharge.Amount.formatCurrencyWithPenny(2)}}</span>
                       </div>
                    </td>
                    <td ng-if="Model.HasComboSchedule">
                        <div class="margin-bottom5" ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'Both'}" ng-show="part.EditMode">
                            <input type="text" ng-model="partCharge.Amount" />
                        </div>
                        <div class="margin-bottom5" ng-repeat="partCharge in part.schedulePartCharges | filter: {ScheduleMode : 'Both'}" ng-hide="part.EditMode">
                            <span>{{partCharge.Amount.formatCurrencyWithPenny(2)}}</span>
                        </div>
                    </td>
                    <td>
                        <div ng-if="part.EditMode" style="position: relative;display: block; white-space: nowrap">
                            <button class="btn success" ng-click="saveSchedulePartEdit(part)">Save</button>
                            <button class="btn" ng-click="cancelSchedulePartEdit(part)">Cancel</button>
                        </div>
                        <div ng-if="!part.EditMode">
                            <ul kendo-menu="" class="k-arrow-less" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                    <span style="font-size:18px;font-weight:900;font-family:Arial">
                                        ...
                                    </span>
                                    <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                        <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                            <li ng-click="editSchedulePart(part);" ng-hide="part.EditMode" class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Edit</span>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ng-click="back()">Back</a>
    <a class="success place-right button large" ng-click="save()">Save & continue</a>

    <div class="clearfix"></div>
</div>